txtconv(1)

NAME
txtconv - A tool to apply TECkit mappings to convert the encoding of a plain text file

SYNOPSIS
txtconv -i inFile -o outFile [-t tecFile] [-r] [-if inForm] [-of outForm] [-nobom] [-nf[cd]] [-u n]

OPTIONS
Required arguments:

-i <file>
    input file

-o <file>
    output file

Optional arguments:

-t <file>
    compiled TECkit mapping (.tec) file

-r  reverse (RHS->LHS, or Unicode->Byte) mapping

-if <form>
    input encoding form

-of <form>
    output encoding form

-nobom
    don't write a BOM to Unicode output

-nf[cd]
    apply NFC or NFD normalization to Unicode output

-u <n>
    handling of unmappable input:

    • 0 = use replacement character .IP • 1 = use replacement but generate warning .IP • 2 = stop conversion

Encoding forms:

    bytes utf8 utf16be utf16le utf16 utf32be utf32le utf32

Further Information
For further information see the document TECkit_version_2.1.doc.pdf found in /usr/share/doc/teckit on a Debian system.